Bug 1730969 - [ppc] qmp: The 'arch' value returned by the command 'query-cpus-fast' does not match
Summary: [ppc] qmp: The 'arch' value returned by the command 'query-cpus-fast' does no...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: qemu-kvm
Version: 8.1
Hardware: ppc64le
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Maxim Levitsky
QA Contact: Yihuang Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 04:45 UTC by Yihuang Yu
Modified: 2020-02-05 23:00 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-2.12.0-91.module+el8.2.0+4916+02633b66
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Yihuang Yu 2019-07-18 04:45:00 UTC
Description of problem:
'query-cpus-fast' will return {"arch": "x86"} instead of {"arch": "ppc"}

Version-Release number of selected component (if applicable):
qemu-kvm-2.12.0-81.module+el8.1.0+3619+dfe1ae01.ppc64le

How reproducible:
100%

Steps to Reproduce:
1. Start a qemu process
/usr/libexec/qemu-kvm -qmp tcp:0:4441,server,nowait

2. Use "query-cpus" to check vcpus info
{ "execute": "query-cpus"}
{"return": [{"arch": "ppc", "current": true, "props": {"core-id": 0}, "CPU": 0, "nip": 499006868, "qom_path": "/machine/unattached/device[0]/thread[0]", "halted": false, "thread_id": 103669}]}

3. Use "query-cpus-fast" to check vcpus info
{ "execute": "query-cpus-fast"}

Actual results:
{"return": [{"arch": "x86", "thread-id": 103669, "props": {"core-id": 0}, "qom-path": "/machine/unattached/device[0]/thread[0]", "cpu-index": 0}]}

Expected results:
{"return": [{"arch": "ppc", "thread-id": 12555, "props": {"core-id": 0}, "qom-path": "/machine/unattached/device[0]/thread[0]", "cpu-index": 0, "target": "ppc64"}]}

Additional info:
This issue only occurs on the slow train of RHEL8 (qemu-kvm-2.12.0), which can not be reproduced on qemu-kvm-3.1.0, qemu-kvm-4.0.0 and qemu-kvm-rhev-2.12.0 (RHEL7)
Therefore, set the severity to low and may only need a backport.

Comment 5 John Ferlan 2019-08-22 12:13:48 UTC
Patch missed the 8.1.0 bug freeze deadline, set ITR to 8.1.1 w/ devel_ack - will repost after 8.1.0 ships

Comment 6 Danilo Cesar de Paula 2019-08-23 19:29:44 UTC
(In reply to John Ferlan from comment #5)
> Patch missed the 8.1.0 bug freeze deadline, set ITR to 8.1.1 w/ devel_ack -
> will repost after 8.1.0 ships

Are we doing '.1' for RHEL now?
At least according to the 'rebasing qemu-kvm and libvirt' spreadsheet we won't do rhel-8.1.1 for the virt module.

ITR should be 8.2, AFAIK

Comment 7 Danilo Cesar de Paula 2019-08-23 19:46:19 UTC
Ferlan, that question was for you  ^

Comment 8 John Ferlan 2019-08-23 20:04:51 UTC
I found other bz's for RHEL8 qemu-kvm with an ITR of 8.1.1 but after looking more closely at those, sure 8.2.0 is right. Hard to keep up with all the various release numbers and cross checking against spreadsheet wasn't what I was considering when thinking about this one.

Comment 9 Danilo Cesar de Paula 2019-08-23 20:27:11 UTC
+1 for being hard to keep up with those release numbers =/

Comment 13 Yihuang Yu 2019-11-28 01:04:41 UTC
Verify this bug with qemu-kvm-2.12.0-91.module+el8.2.0+4916+02633b66.ppc64le

# /usr/libexec/qemu-kvm -qmp-pretty stdio -vnc :0
{
    "QMP": {
        "version": {
            "qemu": {
                "micro": 0,
                "minor": 12,
                "major": 2
            },
            "package": "qemu-kvm-2.12.0-91.module+el8.2.0+4916+02633b66"
        },
        "capabilities": [
        ]
    }
}
{ "execute": "qmp_capabilities" }
{
    "return": {
    }
}
{ "execute": "query-cpus-fast"}
{
    "return": [
        {
            "arch": "ppc",
            "thread-id": 55812,
            "props": {
                "core-id": 0
            },
            "qom-path": "/machine/unattached/device[0]/thread[0]",
            "cpu-index": 0
        }
    ]
}

Comment 14 Ademar Reis 2020-02-05 23:00:56 UTC
QEMU has been recently split into sub-components and as a one-time operation to avoid breakage of tools, we are setting the QEMU sub-component of this BZ to "General". Please review and change the sub-component if necessary the next time you review this BZ. Thanks


Note You need to log in before you can comment on or make changes to this bug.